Subject: bug#36233: 26.2; Tokenization error in rcirc parser

From: [email-masked]
Date: Sun, 16 Jun 2019 21:53:59 -0400

On Jun 16, 2019, 4:10 PM -0400, Noam Postavsky , wrote:
> Yeah, it was using [^:]* to match the middle args. Patch below. I added a test for this case in the patch, although this could probably use some more testing to make sure I haven't broken other cases.

I can confirm this fix works, but I've not done extensive testing (I'm not normally an rcirc user).

Thanks for addressing this so quickly and I look forward to seeing the fix in a future release.

--
Jeffrey H. Johnson
[email-masked]